Bug 1436093 - oc binary for MAC is not signed
Summary: oc binary for MAC is not signed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Fabiano Franz
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 07:17 UTC by Kenjiro Nakayama
Modified: 2017-12-12 02:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: 'oc' binary for macOS is not signed. Consequence: some of the customer's company policies don't allow users to install unsigned binaries. Fix: sign the 'oc' binary using a Red Hat certificate. Result: 'oc' is trusted by companies that restrict the installation of unsigned binaries.
Clone Of:
Environment:
Last Closed: 2017-11-28 21:53:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Kenjiro Nakayama 2017-03-27 07:17:36 UTC
Description of problem:
---
  oc binary for MAC in [1] is not signed. Some of the customers' company policy doesn't allow them to install unsigned binary. So, please release the signed binary.

  [1] https://access.redhat.com/downloads/content/290/ver=3.4/rhel---7/3.4.1.10/x86_64/product-software

Version-Release number of selected component (if applicable):
---
  v 3.4 or any version

Additional info
---
  For the windows env has already been requested - https://bugzilla.redhat.com/show_bug.cgi?id=1429314

Comment 13 Xingxing Xia 2017-06-02 11:33:00 UTC
Tested oc from comment 7 (v3.5.5.8) per selected cases in comment 4 link, oc works well, no problem.
BTW, could you give any tips in verifying if the Mac binary is well signed? If viable, will add a test case for the bug for regular test afterwards

Comment 15 Brenton Leanhardt 2017-08-14 19:09:42 UTC
The last pending step here is simply to have this binary hosted for Online users.  OCP customers can already download the signed binary from the customer portal.

Comment 19 errata-xmlrpc 2017-11-28 21:53:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.